<?php

 add_action( 'init', 'createwpbuzzmachine' );
	function createwpbuzzmachine() {
		register_post_type( 'wpbuzzmachine',
			array(
				'labels' => array(
					'name' => __( 'WPBuzzMachine' ),
					'singular_name' => __( 'WP Buzz Machine' )
				),
			'public' => true,
			'has_archive' => true,
			'menu_icon' => 'http://cdn2.iconfinder.com/data/icons/tango/16x16/apps/system-users.png',
			'rewrite' => true
			)
		);
		flush_rewrite_rules( );
	}

add_action( 'add_meta_boxes', 'settingsforwpbuzzmachine' );
function settingsforwpbuzzmachine()
{
	add_meta_box( 'wpbuzzmachine', 'Edit Your Page:', 'createnewwpbuzzmachine', 'wpbuzzmachine', 'normal', 'high' );
}


function createnewwpbuzzmachine( $post )
{
	$values = get_post_custom( $post->ID );
	$mainheadline = isset( $values['mainheadline'] ) ? esc_attr( $values['mainheadline'][0] ) : '';
	$optinheadline = isset( $values['optinheadline'] ) ? esc_attr( $values['optinheadline'][0] ) : '';
	$optintext = isset( $values['optintext'] ) ? esc_attr( $values['optintext'][0] ) : '';
	$socialheadline = isset( $values['socialheadline'] ) ? esc_attr( $values['socialheadline'][0] ) : '';
	$optinbuttontext = isset( $values['optinbuttontext'] ) ? esc_attr( $values['optinbuttontext'][0] ) : '';
	$optinspam = isset( $values['optinspam'] ) ? esc_attr( $values['optinspam'][0] ) : '';

	// Design Settings

	$background = isset( $values['background'] ) ? esc_attr( $values['background'][0] ) : '';
	$header = isset( $values['header'] ) ? esc_attr( $values['header'][0] ) : '';
	$footer = isset( $values['footer'] ) ? esc_attr( $values['footer'][0] ) : '';
	$feature = isset( $values['feature'] ) ? esc_attr( $values['feature'][0] ) : '';
	$typography = isset( $values['typography'] ) ? esc_attr( $values['typography'][0] ) : '';

	// Features

	$featureheadline = isset( $values['featureheadline'] ) ? esc_attr( $values['featureheadline'][0] ) : '';
	$headline1 = isset( $values['headline1'] ) ? esc_attr( $values['headline1'][0] ) : '';
	$text1 = isset( $values['text1'] ) ? esc_attr( $values['text1'][0] ) : '';
	$headline2 = isset( $values['headline2'] ) ? esc_attr( $values['headline2'][0] ) : '';
	$text2 = isset( $values['text2'] ) ? esc_attr( $values['text2'][0] ) : '';
	$headline3 = isset( $values['headline3'] ) ? esc_attr( $values['headline3'][0] ) : '';
	$text3 = isset( $values['text3'] ) ? esc_attr( $values['text3'][0] ) : '';

	// Meme Settings

	$fontstyle = isset( $values['fontstyle'] ) ? esc_attr( $values['fontstyle'][0] ) : '';
	$uploadphoto = isset( $values['uploadphoto'] ) ? esc_attr( $values['uploadphoto'][0] ) : '';
	$blackwhite = isset( $values['blackwhite'] ) ? esc_attr( $values['blackwhite'][0] ) : '';
	$toptext = isset( $values['toptext'] ) ? esc_attr( $values['toptext'][0] ) : '';
	$bottomtext = isset( $values['bottomtext'] ) ? esc_attr( $values['bottomtext'][0] ) : '';

	// Social Settings

	$shareText = isset( $values['shareText'] ) ? esc_attr( $values['shareText'][0] ) : '';
	$fbapi = isset( $values['fbapi'] ) ? esc_attr( $values['fbapi'][0] ) : '';
	$bigheadline = isset( $values['bigheadline'] ) ? esc_attr( $values['bigheadline'][0] ) : '';
	$socialdesc = isset( $values['socialdesc'] ) ? esc_attr( $values['socialdesc'][0] ) : '';

	
	wp_nonce_field( 'my_meta_box_nonce', 'meta_box_nonce' );
	include( plugin_dir_path( __FILE__ ) . 'style.php');
	include( plugin_dir_path( __FILE__ ) . 'options.php');
	
}


add_action( 'save_post', 'savewpbuzzmachine' );
function savewpbuzzmachine( $post_id )
{
	if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;
	if( !isset( $_POST['meta_box_nonce'] ) || !wp_verify_nonce( $_POST['meta_box_nonce'], 'my_meta_box_nonce' ) ) return;
	if( !current_user_can( 'edit_post' ) ) return;
	$allowed = array( 
		'a' => array( 
			'href' => array() 
		)
	);
	
	if( isset( $_POST['mainheadline'] ) )
		update_post_meta( $post_id, 'mainheadline', wp_kses( $_POST['mainheadline'], $allowed ) );
		
	if( isset( $_POST['optinheadline'] ) )
		update_post_meta( $post_id, 'optinheadline', esc_attr( $_POST['optinheadline'] ) );
		
	if( isset( $_POST['optintext'] ) )
		update_post_meta( $post_id, 'optintext', esc_attr( $_POST['optintext'] ) );
	
	if( isset( $_POST['socialheadline'] ) )
		update_post_meta( $post_id, 'socialheadline', esc_attr( $_POST['socialheadline'] ) );
		
	if( isset( $_POST['background'] ) )
		update_post_meta( $post_id, 'background', esc_attr( $_POST['background'] ) );

	if( isset( $_POST['header'] ) )
		update_post_meta( $post_id, 'header', esc_attr( $_POST['header'] ) );

	if( isset( $_POST['footer'] ) )
		update_post_meta( $post_id, 'footer', esc_attr( $_POST['footer'] ) );

	if( isset( $_POST['typography'] ) )
		update_post_meta( $post_id, 'typography', esc_attr( $_POST['typography'] ) );

	if( isset( $_POST['featureheadline'] ) )
		update_post_meta( $post_id, 'featureheadline', esc_attr( $_POST['featureheadline'] ) );

	if( isset( $_POST['headline1'] ) )
		update_post_meta( $post_id, 'headline1', esc_attr( $_POST['headline1'] ) );

	if( isset( $_POST['text1'] ) )
		update_post_meta( $post_id, 'text1', esc_attr( $_POST['text1'] ) );

	if( isset( $_POST['text2'] ) )
		update_post_meta( $post_id, 'text2', esc_attr( $_POST['text2'] ) );

	if( isset( $_POST['text3'] ) )
		update_post_meta( $post_id, 'text3', esc_attr( $_POST['text3'] ) );

	if( isset( $_POST['headline2'] ) )
		update_post_meta( $post_id, 'headline2', esc_attr( $_POST['headline2'] ) );

	if( isset( $_POST['headline3'] ) )
		update_post_meta( $post_id, 'headline3', esc_attr( $_POST['headline3'] ) );

	if( isset( $_POST['fontstyle'] ) )
		update_post_meta( $post_id, 'fontstyle', esc_attr( $_POST['fontstyle'] ) );
	if( isset( $_POST['feature'] ) )
		update_post_meta( $post_id, 'feature', esc_attr( $_POST['feature'] ) );

	if( isset( $_POST['uploadphoto'] ) )
		update_post_meta( $post_id, 'uploadphoto', esc_attr( $_POST['uploadphoto'] ) );

	if( isset( $_POST['blackwhite'] ) )
		update_post_meta( $post_id, 'blackwhite', esc_attr( $_POST['blackwhite'] ) );

	if( isset( $_POST['toptext'] ) )
		update_post_meta( $post_id, 'toptext', esc_attr( $_POST['toptext'] ) );

	if( isset( $_POST['bottomtext'] ) )
		update_post_meta( $post_id, 'bottomtext', esc_attr( $_POST['bottomtext'] ) );

	if( isset( $_POST['shareText'] ) )
		update_post_meta( $post_id, 'shareText', esc_attr( $_POST['shareText'] ) );

	if( isset( $_POST['fbapi'] ) )
		update_post_meta( $post_id, 'fbapi', esc_attr( $_POST['fbapi'] ) );

	if( isset( $_POST['socialdesc'] ) )
		update_post_meta( $post_id, 'socialdesc', esc_attr( $_POST['socialdesc'] ) );

	if( isset( $_POST['bigheadline'] ) )
		update_post_meta( $post_id, 'bigheadline', esc_attr( $_POST['bigheadline'] ) );

	if( isset( $_POST['optinbuttontext'] ) )
		update_post_meta( $post_id, 'optinbuttontext', esc_attr( $_POST['optinbuttontext'] ) );

	if( isset( $_POST['optinspam'] ) )
		update_post_meta( $post_id, 'optinspam', esc_attr( $_POST['optinspam'] ) );
	
}

?>